package com.yonge.toolset.payment.base.model;

import com.yonge.toolset.payment.base.enums.OpenEnum;
import com.yonge.toolset.payment.base.enums.PayChannelEnum;
import com.yonge.toolset.payment.base.enums.PaymentClientEnum;

import java.math.BigDecimal;

/**
 * @Author: liweifan
 * @Data: 2022/5/10 15:36
 */
public class RefundBill extends Base {
    /***
     * 三方退款流水号(请求后才有)
     * @author liweifan
     * @updateTime 2022/3/31 11:00
     */
    private String id;
    /***
     * 付款订单号(必填)
     * @author liweifan
     * @updateTime 2022/5/10 15:30
     */
    String paymentNo;
    /***
     * 付款订单三方流水号(必填)
     * @author liweifan
     * @updateTime 2022/5/10 15:30
     */
    String tradeNo;
    /***
     * 退款订单号(必填)
     * @author liweifan
     * @updateTime 2022/3/31 11:00
     */
    private String refundNo;
    /***
     * 原订单金额(必填)
     * @author liweifan
     * @updateTime 2022/3/31 11:01
     */
    private BigDecimal orderAmt;
    /***
     * 退款金额，必须大于0，保留两位小数点，如0.10、100.05等(必填)
     * @author liweifan
     * @updateTime 2022/3/31 11:01
     */
    private BigDecimal refundAmt;
    /***
     * 退款描述
     * @author liweifan
     * @updateTime 2022/3/31 11:00
     */
    private String reason;

    public RefundBill(OpenEnum openType, PaymentClientEnum paymentClient, PayChannelEnum payChannel) {
        super(openType, paymentClient, payChannel);
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getRefundNo() {
        return refundNo;
    }

    public void setRefundNo(String refundNo) {
        this.refundNo = refundNo;
    }

    public BigDecimal getOrderAmt() {
        return orderAmt;
    }

    public void setOrderAmt(BigDecimal orderAmt) {
        this.orderAmt = orderAmt;
    }

    public BigDecimal getRefundAmt() {
        return refundAmt;
    }

    public void setRefundAmt(BigDecimal refundAmt) {
        this.refundAmt = refundAmt;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getPaymentNo() {
        return paymentNo;
    }

    public void setPaymentNo(String paymentNo) {
        this.paymentNo = paymentNo;
    }

    public String getTradeNo() {
        return tradeNo;
    }

    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo;
    }
}
